#include <Arduino.h>
#include <DHT.h>

#define DHTTYPE DHT11
#define DHTPIN 4

DHT dht(DHTPIN, DHTTYPE);

void setup() {
  Serial.begin(9600);
  dht.begin();
}

void loop() {
  char buffer[100];
  sprintf(buffer, "Temperature: %.2f °C Humidity: %.2f %%",
          dht.readTemperature(), dht.readHumidity());
  Serial.println(buffer);
  delay(60000);
}
